Page MenuHomePhabricator

Deploy modern Vector and new Vue.js search experience to new pilot wikis
Closed, ResolvedPublic3 Estimated Story Points

Description

Background

Continuation from T249297: Deploy the new Vue.js search experience. This task encompasses deploying the configuration to enable modern vectorl the new search experience, and the search A/B test on Turkish Wikipedia, Serbian Wikipedia, Korean Wikipedia, Portuguese Wikipedia and German Wikivoyage

Pre-deployment

Make sure we have all logos from T273085: Deploy more logos for new DIP pilot wikis

Acceptance criteria

deploy to new test wikis and begin A/B test done in a separate task

  • Turkish Wikipedia
  • Serbian Wikipedia
  • Korean Wikipedia
  • Portuguese Wikipedia
  • Bengali Wikipedia
  • German Wikivoyage
  • Venetian Wikipedia
NOTE: prior to stage 4 deployment, we will coordinate with the Traffic team to check if we can turn off the cache for these wikis as done during previous deployments.

Related Objects

StatusSubtypeAssignedTask
OpenNone
Resolvedovasileva
ResolvedVolker_E
Resolvedphuedx
Resolved eprodromou
ResolvedEvanProdromou
ResolvedPeter.ovchyn
ResolvedPeter.ovchyn
ResolvedPeter.ovchyn
Resolved eprodromou
ResolvedPeter.ovchyn
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolvedholger.knust
Resolvedholger.knust
Resolvedholger.knust
OpenNone
OpenNone
OpenNone
ResolvedSpikeovasileva
Resolvedphuedx
ResolvedJdrewniak
Resolvedalexhollender
Resolvedovasileva
ResolvedJdlrobson
ResolvedJdrewniak
ResolvedJdrewniak
ResolvedNiedzielski
ResolvedMNeisler
ResolvedMNeisler
Resolvedovasileva
Resolvedphuedx
Resolvedovasileva
Resolvedovasileva
Resolvednray
OpenNone
OpenEdtadros
OpenVolker_E
OpenMNeisler
Resolvedovasileva
ResolvedEdtadros
DeclinedNone
DeclinedNone
ResolvedJdrewniak
ResolvedJdrewniak
Opennnikkhoui
Resolvednnikkhoui
ResolvedJdlrobson
Duplicateovasileva
ResolvedMNeisler
ResolvedVolker_E
Resolvedphuedx
Resolvedovasileva
Resolvedovasileva
Resolvedsbassett
Resolvedjlinehan
Openjlinehan
ResolvedNone
Resolvedjlinehan
Resolvedjlinehan
ResolvedOttomata
ResolvedOttomata
ResolvedSpikeJdlrobson
Resolvedjlinehan
Openjlinehan
Resolvedjlinehan
Resolvedjlinehan
Resolvedjlinehan
Resolvedjlinehan
ResolvedJdlrobson
Resolvedjlinehan
Resolvedjlinehan
Opendr0ptp4kt
Resolvedcolewhite
DeclinedNone
ResolvedNone
Resolvedjlinehan
OpenNone
OpenNone
Openovasileva
Resolvedphuedx
Openalexhollender
Resolvedovasileva
DuplicateNone
Resolvedalexhollender

Event Timeline

ovasileva set the point value for this task to 3.Jan 27 2021, 5:48 PM

From an engineering perspective only, this is roughly an S – it's a one-line config change and deployment. The config change is as follows:

operations/mediawiki/config/wmf-config/config/incubatorwiki.yaml
inheritsFrom:
  - desktop-improvements

Do we have an ETA on this?

Might change a bit pending QA on T259798: Deploy the new Vue.js search experience to the Beta-Cluster and Test Wikipedia, but we're currently aiming for the week of March 1st, most likely Wednesday March 3rd.

Volker_E renamed this task from Deploy modern vector and new vue.js search experience to new pilot wikis to Deploy modern Vector and new Vue.js search experience to new pilot wikis.Feb 18 2021, 6:10 PM

I think this is unblocked but please check with Olga before scheduling any deploy.

I think this is unblocked but please check with Olga before scheduling any deploy.

Still blocked for right now as it depends on scheduling a time with the traffic team, see T274784: CDN cache revalidation on several wikis for desktop improvements deployment pt 2. Current proposed dates are Monday, March 8 and Tuesday, March 9

Change 669783 had a related patch set uploaded (by Phuedx; owner: Phuedx):
[operations/mediawiki-config@master] vector: Expand Desktop Improvements pilot wiki group

https://gerrit.wikimedia.org/r/669783

Change 669783 merged by jenkins-bot:
[operations/mediawiki-config@master] vector: Expand Desktop Improvements pilot wiki group

https://gerrit.wikimedia.org/r/669783

Change 669956 had a related patch set uploaded (by Phuedx; owner: Phuedx):
[operations/mediawiki-config@master] vector: Fix Desktop Improvements pilot wiki group

https://gerrit.wikimedia.org/r/669956

Change 669956 merged by jenkins-bot:
[operations/mediawiki-config@master] vector: Fix Desktop Improvements pilot wiki group

https://gerrit.wikimedia.org/r/669956

Mentioned in SAL (#wikimedia-operations) [2021-03-08T19:20:43Z] <urbanecm@deploy1002> Synchronized dblists/desktop-improvements.dblist: 1c46d0b: 1aad60b: vector: Expand Desktop Improvements pilot wiki group (T273090) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2021-03-08T19:21:53Z] <urbanecm@deploy1002> Synchronized wmf-config/config/: 1c46d0b: 1aad60b: vector: Expand Desktop Improvements pilot wiki group (T273090) (duration: 00m 58s)